> ## Documentation Index
> Fetch the complete documentation index at: https://docs.equalsmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve transaction limit for a card

> Returns the transaction limit for a given card.



## OpenAPI

````yaml /autogenerated/openapi/cards.openapi.json get /cards/{cardId}/transaction-limits
openapi: 3.1.0
info:
  title: Cards API
  version: 2.0.0
  description: Version 2
  license:
    name: UNLICENSED
    url: https://docs.equalsmoney.com
servers:
  - url: https://api.equalsmoney.com/v2
    description: Production
  - url: https://api-sandbox.equalsmoney.com/v2
    description: Sandbox
security: []
paths:
  /cards/{cardId}/transaction-limits:
    get:
      tags:
        - Transaction limits
      summary: Retrieve transaction limit for a card
      description: Returns the transaction limit for a given card.
      operationId: findTransactionLimit
      parameters:
        - name: cardId
          in: path
          required: true
          schema:
            description: The ID of the card to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: e9293471-5eb3-4dbc-916c-dbaf9e2deefd
        - name: accountId
          in: query
          schema:
            description: The ID of the account to work with.
            type:
              - string
            example: F50091
          required: true
        - name: budgetId
          in: query
          schema:
            description: The ID of the budget to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a03
          required: true
        - name: personId
          in: query
          schema:
            description: The ID of the person to work with.
            type:
              - string
            format: uuid
            maxLength: 36
            example: 775596ae-2624-40af-a9dc-9756110a4a04
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type:
                  - object
                properties:
                  id:
                    type:
                      - string
                    maxLength: 36
                    format: uuid
                    description: The ID of the limit to work with.
                  amount:
                    type:
                      - number
                    description: amount of limit to be set
                    example: 100.5
                  currencyCode:
                    type:
                      - string
                    example: GBP
                  active:
                    type:
                      - boolean
                    description: Indicates whether the limit is active on Marqeta.
                  limitTurnedOff:
                    type:
                      - boolean
                    description: Defines if the limit was turned off by the user
                  limitWindow:
                    type:
                      - string
                    enum:
                      - TRANSACTION
                    description: Defines the time period to which the limit apply
                required:
                  - amount
                  - limitWindow
                example:
                  id: 497f6eca-6276-4993-bfeb-53cbbbba6f08
                  amount: 100.5
                  currencyCode: GBP
                  active: true
                  limitTurnedOff: true
                  limitWindow: TRANSACTION
      security:
        - CommonAuth:
            - card-limits:read:own
            - card-limits:read:any
      x-codeSamples:
        - lang: Shell
          label: cURL
          source: |-
            curl --request GET \
              --url 'https://api.equalsmoney.com/v2/cards/{cardId}/transaction-limits?accountId={{accountId}}&budgetId={{budgetId}}' \
              --header 'Authorization: <api-key>'
components:
  securitySchemes:
    CommonAuth:
      type: apiKey
      in: header
      name: Authorization

````